<?php
/* @var $this IssuingReasonController */
/* @var $model IssuingReason */

$this->breadcrumbs = array(
    yii::t('default', 'Configurations') => array('/dashboard/configuration'),
    yii::t('default', 'Issuing Reasons') => array('index'),
);


Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('issuing-reason-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<?php echo CHtml::link(Yii::t('default', 'Add'), array('create'), array('class' => 'btn btn-primary', 'data-dismiss' => 'modal')); ?>
&nbsp;

<div id="flash-msg">
    <br>
    <?php $this->widget('bootstrap.widgets.TbAlert'); ?>
</div>


<?php
    $this->widget('ext.bootstrap.widgets.TbGridView', array(
        'id' => 'issuing-reason-grid',
        'type' => 'striped',
        'dataProvider' => $model->search(),
        'filter' => $model,
        'columns' => array(
            'reason',
            array(
                'name' => 'status',
                'type' => 'html',
                'value' => 'CHtml::link(CHtml::image(Yii::app()->request->baseUrl."/css/flags/".$data->status.".png", "img")  ,"#",array("rel"=>"tooltip","title"=>Yii::t(\'default\',$data->status)))',
                'filter' => array('Active' => Yii::t('default', 'Active'), 'Inactive' => Yii::t('default', 'Inactive')),
                'htmlOptions' => array('style' => 'text-align:center;'),
            ),
            array(
                'class' => 'CButtonColumn',
                'htmlOptions' => array('width' => '60'),
                'afterDelete' => 'function(link,success,data){ if(success) $("#flash-msg").html(data); }',
            ),
        ),
    ));
?>
